=== debian/changelog ===
ga (5.3+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #603711).

 -- Michael Banck <mbanck@debian.org>  Fri, 05 Feb 2016 00:43:40 +0100
