=== debian/control ===
Source: ga
Section: science
Priority: extra
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9.0~),
               gfortran,
               libblas-dev,
               liblapack-dev,
               libscalapack-mpi-dev,
               mpi-default-dev,
               openssh-client
Standards-Version: 3.9.6
Homepage: http://www.emsl.pnl.gov/docs/global/
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/ga/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/ga/

Package: libga-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Distributed Shared-Memory Programming Environment (development)
 Global Arrays is a portable Non-Uniform Memory Access (NUMA) shared-memory
 programming environment for distributed and shared memory computers. It
 augments the message-passing model by providing a shared-memory like access to
 distributed dense arrays.
 .
 ARMCI provides one-sided remote memory operations used by GA.
 .
 ComEx (Communication Runtime for Extreme Scale) provides vector and strided
 interfaces to optimize performance of remote memory copy operations for
 non-contiguous data.  
 .
 DRA (Disk Resident Arrays) is a parallel I/O library that maintains dense 2-dim
 arrays on disk.
 .
 SF (Shared Files) is a parallel I/O library that allows noncollective I/O to a
 parallel file.
 .
 EAF (Exclusive Access Files) is parallel I/O library that supports I/O to
 private files.
 .
 TCGMSG is a simple, efficient, but becoming obsolete message-passing library.
 .
 TCGMSG-MPI is a TCGMSG interface implementation on top of MPI and ARMCI.
 .
 MA is a dynamic memory allocator/manager for Fortran and C programs.
 .
 GA++ is a C++ binding for global arrays.
 .
 This package contains the static libraries and header files.
