=== debian/rules ===
#!/usr/bin/make -f

CFLAGS=-g -O2

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- 				\
		--enable-cxx 				\
		--enable-shared				\
		--with-tcgmsg				\
		--with-scalapack=-lscalapack-openmpi	\
		--with-blas=-lblas 			\
		--with-lapack=-llapack			\
		--with-mpi

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
	rm -f $(CURDIR)/debian/tmp/usr/include/error.h
	rm -f $(CURDIR)/debian/tmp/usr/include/memcpy.h
	rm -f $(CURDIR)/debian/tmp/usr/include/scope.h
	rm -f $(CURDIR)/debian/tmp/usr/include/string-util.h
	rm -f $(CURDIR)/debian/tmp/usr/include/table.h
	
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	-dh_auto_test -- -j1 -k || cat armci/test-suite.log test-suite.log
endif
