## ga 5.4~beta~r10636+dfsg

=== debian/changelog ===
ga (5.4~beta~r10636+dfsg-5) unstable; urgency=medium

  * Team upload
  * debian/control (Build-Depends): Drop versioned dependency
    on libarmci-mpi-dev binNMU
  * debian/clean: Add bltz.gmv to fix FTBFSx2
  * debian/rules (override_dh_auto_configure): Link with -lblacs-openmpi
    to avoid undefined reference to symbol 'blacs_gridexit_' (Closes: #857177)
  * debian/rules (override_dh_auto_test): Set ARMCI_USE_WIN_ALLOCATE=1
    to fix test failures (Closes: #846273)
  * debian/control: Use secure URI for Vcs-Browser and
    canonical URI for Vcs-Svn

 -- Graham Inggs <ginggs@debian.org>  Mon, 13 Mar 2017 15:45:36 +0200

ga (5.4~beta~r10636+dfsg-4) unstable; urgency=medium

  * debian/control (Build-Depends): Added libarmci-mpi-dev.
  * debian/rules (override_dh_auto_configure): Build against external libarmci
    from armci-mpi (Closes: 816699).
  * debian/rules (override_dh_auto_configure): Remove --enable-shared and
    --with-sockets configure options.

 -- Michael Banck <mbanck@debian.org>  Sun, 05 Mar 2017 13:16:28 +0100

ga (5.4~beta~r10636+dfsg-3) unstable; urgency=medium

  * debian/control: Renamed package libga-dev to libglobalarrays-dev 
    (Closes: 843141).
  * debian/control: Break and Replace previous libga-dev revisions.
  * debian/libga-dev.install: Renamed to ...
  * debian/libglobalarrays-dev.install: ... this.
  * debian/copyright: Add copyright and license information for FreeSerif.ttf.

 -- Michael Banck <mbanck@debian.org>  Wed, 23 Nov 2016 14:14:27 +0100

ga (5.4~beta~r10636+dfsg-2) unstable; urgency=medium

  * debian/patches/fix_comex_testsuite.patch: New patch, forces MPI to exact
    two processes for those comex tests which require them.
  * debian/patches/fix_armci_testsuite.patch: New patch, fixes linking failures
    of armci testsuite.
  * debian/rules (override_dh_auto_configure): Added --with-sockets option to
    match the 5.3 behaviour for now.

 -- Michael Banck <mbanck@debian.org>  Mon, 22 Feb 2016 14:05:27 +0100

ga (5.4~beta~r10636+dfsg-1) unstable; urgency=medium

  * New upstream development snapshot.
  * debian/patches/fix_ga_target.patch: Refreshed.

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Feb 2016 18:56:13 +0100
