=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: autotools-dev,
                debhelper (>= 9.0~),
                gfortran,
+               libarmci-mpi-dev,
                libblas-dev,
                liblapack-dev,
                libscalapack-mpi-dev,
@@ -13,13 +14,15 @@
                openssh-client
 Standards-Version: 3.9.6
 Homepage: http://www.emsl.pnl.gov/docs/global/
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/ga/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/ga/
+Vcs-Browser: https://anonscm.debian.org/viewvc/debichem/unstable/ga/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/ga/
 
-Package: libga-dev
+Package: libglobalarrays-dev
 Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: libga-dev (<< 5.4~beta~r10636+dfsg-3)
+Breaks: libga-dev (<< 5.4~beta~r10636+dfsg-3)
 Description: Distributed Shared-Memory Programming Environment (development)
  Global Arrays is a portable Non-Uniform Memory Access (NUMA) shared-memory
  programming environment for distributed and shared memory computers. It
