=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,12 @@
 override_dh_auto_configure:
 	dh_auto_configure -- 				\
 		--enable-cxx 				\
-		--enable-shared				\
 		--with-tcgmsg				\
-		--with-scalapack=-lscalapack-openmpi	\
+		--with-scalapack="-lscalapack-openmpi -lblacs-openmpi" \
 		--with-blas=-lblas 			\
 		--with-lapack=-llapack			\
-		--with-mpi
+		--with-mpi				\
+		--with-armci=/usr
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
@@ -25,5 +25,5 @@
 	
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	-dh_auto_test -- -j1 -k || cat armci/test-suite.log test-suite.log
+	-dh_auto_test -- -j1 -k ARMCI_USE_WIN_ALLOCATE=1 || cat test-suite.log
 endif
