=== debian/changelog ===
ga (5.7-6) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Remove --enable-peigs from
    configure options.
  * debian/salsa-ci.yml: New file.
  * debian/rules (override_dh_auto_test): Set MPIEXEC variable.
  * debian/patches/testsuite_log_compiler.patch: New patch, fixes test suite
    harness script.

 -- Michael Banck <mbanck@debian.org>  Wed, 08 Jan 2020 15:08:10 +0100

ga (5.7-5) unstable; urgency=medium

  * Team upload.
  * Patch fix_MPI_errhandler_f1ea520.patch applies upstream commit
    f1ea520 to update MPI errhandler for MPI-3 API.
  * Standards-Version: 4.4.1
  * debhelper compatibility level 12: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Dec 2019 23:45:48 +1100

ga (5.7-4) unstable; urgency=medium

  * debian/patches/ga_diag_seq.patch: New patch, fixes Fortran integer casting
    in ga_diag, taken Edoardo Aprà's Fedora package patches.
  * debian/rules (override_dh_auto_configure): Added --enable-peigs to
    configure options.

 -- Michael Banck <mbanck@debian.org>  Sun, 20 Jan 2019 18:58:29 +0100

ga (5.7-3) unstable; urgency=medium

  * debian/libglobalarrays-dev.install: Ship /usr/bin/ga-config.
  * debian/control (Multi-Arch): New field.

 -- Michael Banck <mbanck@debian.org>  Tue, 01 Jan 2019 23:27:03 +0100

ga (5.7-2) unstable; urgency=medium

  * Team upload.
  * incorporate NMU 5.4~beta~r10636+dfsg-5.1 into main repo
    (scalapack v2 fixes, in particular)

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Dec 2018 23:29:47 +0100

ga (5.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * add debian/watch, pointing at new upstream repo
    https://github.com/GlobalArrays/ga
  * update debian/copyright
    - remove Files-Excluded from debian/copyright:
      BGML and DCMF ports and dmapp.h.bak have been removed
    - disambiguate "License: other"
  * update debian/control
    - update upstream Homepage to http://hpc.pnl.gov/globalarrays/
    - Priority: optional not extra
    - remove autotools-dev (already required by default by dh 11)
  * specify dh build with autoreconf
  * update debian/docs (source now provides README.md)
  * Standards-Version: 4.3.0
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Dec 2018 21:43:04 +0100

ga (5.4~beta~r10636+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10
  * Link to scalapack for default MPI
  * Update build for scalapack 2:
    - remove explicit -lblacs reference
      (BLACS is now included in scalapack2)
    - Build-Depends: libscalapack-mpi-dev (>= 2)

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Sep 2017 19:14:16 +0800
