=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: ga
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9.0~),
+Build-Depends: debhelper-compat (= 12),
                gfortran,
                libarmci-mpi-dev,
                libblas-dev,
                liblapack-dev,
-               libscalapack-mpi-dev,
+               libscalapack-mpi-dev (>= 2),
                mpi-default-dev,
                openssh-client
-Standards-Version: 3.9.6
-Homepage: http://www.emsl.pnl.gov/docs/global/
-Vcs-Browser: https://anonscm.debian.org/viewvc/debichem/unstable/ga/
-Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/ga/
+Standards-Version: 4.4.1
+Homepage: http://hpc.pnl.gov/globalarrays/
+Vcs-Browser: https://salsa.debian.org/debichem-team/ga
+Vcs-Git: https://salsa.debian.org/debichem-team/ga.git
 
 Package: libglobalarrays-dev
 Architecture: any
@@ -23,6 +22,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libga-dev (<< 5.4~beta~r10636+dfsg-3)
 Breaks: libga-dev (<< 5.4~beta~r10636+dfsg-3)
+Multi-Arch: no
 Description: Distributed Shared-Memory Programming Environment (development)
  Global Arrays is a portable Non-Uniform Memory Access (NUMA) shared-memory
  programming environment for distributed and shared memory computers. It
