=== debian/rules ===
--- 
+++ 
@@ -2,14 +2,16 @@
 
 CFLAGS=-g -O2
 
+include /usr/share/mpi-default-dev/debian_defaults
+
 %:
-	dh $@ 
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- 				\
 		--enable-cxx 				\
 		--with-tcgmsg				\
-		--with-scalapack="-lscalapack-openmpi -lblacs-openmpi" \
+		--with-scalapack="-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)" \
 		--with-blas=-lblas 			\
 		--with-lapack=-llapack			\
 		--with-mpi				\
@@ -25,5 +27,5 @@
 	
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	-dh_auto_test -- -j1 -k ARMCI_USE_WIN_ALLOCATE=1 || cat test-suite.log
+	-dh_auto_test -- -j1 -k ARMCI_USE_WIN_ALLOCATE=1 MPIEXEC="mpiexec -np 4"
 endif
